
# dofile for FpModules sim

set tbname tb_FpModules

set simname $tbname

log $simname.log

# map FPLIC library
amap de_fplic de_fplic
# run the following refresh command if you simulator is newer that 2005.05 (only needed once)
# acom -refresh de_fplic

alib work
set  worklib work

# test bench
vcom -dbg txt_util.vhd
vcom -dbg $tbname.vhd 

# break on warning
set breakassertlevel 1

asim -ieee_nowarn $simname 

trace $simname/clk
trace $simname/sync_in
trace $simname/*div*
trace $simname/*mult*
trace $simname/*add*
trace $simname/*cmp*
trace $simname/*sqrt*
trace $simname/*sub*

run
asdb2vcd -t vcd wave.asdb $simname.vcd
endsim
